The Perfect Desktop - Ubuntu 8.10 (Intrepid Ibex) - Page 3

6 Install Additional Software

To install additional applications, you can either open the Synaptic Package Manager (System> Administration > Synaptic Package Manager) or the command line.

There's a bug in Ubuntu 8.10 which prevents Synaptic from displaying packages from third-party repositories. If you want to use Synaptic to install the additional applications, you must open a terminal first (Applications > Accessories > Terminal) and run

sudo update-apt-xapian-index

Afterwards you can start Synaptic and install the following packages (please search for acroread first - if Synaptic doesn't find it, use the command line; see below):

  • amarok
  • flashplugin-nonfree
  • amule
  • audacity
  • azureus
  • banshee
  • bluefish
  • dvdrip
  • filezilla
  • msttcorefonts
  • gnucash
  • gstreamer*
  • gtkpod-aac
  • sun-java6* (except sun-java6-doc)
  • k3b
  • kino
  • mplayer
  • mozilla-mplayer
  • quanta
  • kompozer
  • scribus
  • vlc*
  • xchat-gnome
  • xmms2*
  • bittornado
  • bittornado-gui
  • sound-juicer
  • helix-player
  • mozilla-helix-player
  • googleearth
  • acroread
  • mozilla-acroread
  • non-free-codecs
  • ubuntu-restricted-extras
  • libdvdcss2
  • opera
  • xine-ui
  • xine-plugin
  • thunderbird
  • skype

If you want to install the applications from the command line, open a terminal (Applications > Accessories > Terminal) and install the packages with one single command:

sudo apt-get install amarok flashplugin-nonfree amule audacity azureus banshee bluefish dvdrip filezilla msttcorefonts gnucash gstreamer* gtkpod-aac sun-java6-bin sun-java6-javadb sun-java6-jdk sun-java6-jre sun-java6-plugin k3b kino mplayer mozilla-mplayer quanta kompozer scribus xchat-gnome bittornado bittornado-gui sound-juicer helix-player mozilla-helix-player googleearth acroread mozilla-acroread non-free-codecs ubuntu-restricted-extras libdvdcss2 opera xine-ui xine-plugin xmms2 xmms2tray xmms2-plugin-airplay xmms2-plugin-alsa xmms2-plugin-ao xmms2-plugin-asf xmms2-plugin-asx xmms2-plugin-avcodec xmms2-plugin-cdda xmms2-plugin-cue xmms2-plugin-curl xmms2-plugin-daap xmms2-plugin-faad xmms2-plugin-flac xmms2-plugin-gme xmms2-plugin-gvfs xmms2-plugin-ices xmms2-plugin-icymetaint xmms2-plugin-id3v2 xmms2-plugin-jack xmms2-plugin-karaoke xmms2-plugin-lastfm xmms2-plugin-m3u xmms2-plugin-mad xmms2-plugin-mms xmms2-plugin-modplug xmms2-plugin-mp4 xmms2-plugin-musepack xmms2-plugin-normalize xmms2-plugin-ofa xmms2-plugin-oss xmms2-plugin-pls xmms2-plugin-pulse xmms2-plugin-rss xmms2-plugin-sid xmms2-plugin-smb xmms2-plugin-speex xmms2-plugin-vocoder xmms2-plugin-vorbis xmms2-plugin-wma xmms2-plugin-xml xmms2-plugin-xspf vlc vlc-data vlc-dbg vlc-nox vlc-plugin-arts vlc-plugin-esd vlc-plugin-ggi vlc-plugin-jack vlc-plugin-pulse vlc-plugin-sdl vlc-plugin-svgalib thunderbird skype

(This must go into one line!)

 

7 Flash Player

To see if the Flash Player has been installed correctly, open Firefox and type about:plugins in the address bar. Firefox will then list all installed plugins, and it should list the Flash Player (version 10.0r12) among them:

 

8 TrueType Fonts

To check if the TrueType fonts have been installed correctly, open a word processor like OpenOffice. You should now find your new Windows fonts there:

 

9 Inventory (II)

Now let's check again what we have so far by browsing the menus again:

Our inventory should now look like this:

Graphics:
[x] The GIMP
[x] F-Spot
[ ] Picasa

Internet:
[x] Firefox
[x] Opera
[x] Flash Player
[x] FileZilla
[x] Thunderbird
[x] Evolution
[x] aMule
[x] BitTornado
[x] Azureus/Vuze
[x] Pidgin
[x] Skype
[x] Google Earth
[x] Xchat IRC

Office:
[x] OpenOffice Writer
[x] OpenOffice Calc
[x] Adobe Reader
[x] GnuCash
[x] Scribus

Sound & Video:
[x] Amarok
[x] Audacity
[x] Banshee
[x] MPlayer
[x] Rhythmbox Music Player
[x] gtkPod
[x] XMMS
[x] dvd::rip
[x] Kino
[x] Sound Juicer CD Extractor
[x] VLC Media Player
[x] Helix Player
[x] Totem
[x] Xine
[x] Brasero
[x] K3B
[x] Multimedia-Codecs

Programming:
[x] KompoZer
[x] Bluefish
[x] Quanta Plus

Other:
[ ] VMware Server
[x] TrueType fonts
[x] Java
[x] Read/Write support for NTFS partitions

 

10 Google Picasa

Open Firefox and go to http://picasa.google.com/linux/thanks-deb.html. A download dialogue should come up automatically. Select Open with GDebi Package Installer (default):

A Package Installer window comes up. Click on the Install Package button to install Picasa:

Type in your password:

Picasa is now being installed. Afterwards, you can close the Package Installer window:

 

11 Inventory (III)

Browse the menu again and check what you've got installed so far.

Your list should look like this now:

Graphics:
[x] The GIMP
[x] F-Spot
[x] Picasa

Internet:
[x] Firefox
[x] Opera
[x] Flash Player
[x] FileZilla
[x] Thunderbird
[x] Evolution
[x] aMule
[x] BitTornado
[x] Azureus/Vuze
[x] Pidgin
[x] Skype
[x] Google Earth
[x] Xchat IRC

Office:
[x] OpenOffice Writer
[x] OpenOffice Calc
[x] Adobe Reader
[x] GnuCash
[x] Scribus

Sound & Video:
[x] Amarok
[x] Audacity
[x] Banshee
[x] MPlayer
[x] Rhythmbox Music Player
[x] gtkPod
[x] XMMS
[x] dvd::rip
[x] Kino
[x] Sound Juicer CD Extractor
[x] VLC Media Player
[x] Helix Player
[x] Totem
[x] Xine
[x] Brasero
[x] K3B
[x] Multimedia-Codecs

Programming:
[x] KompoZer
[x] Bluefish
[x] Quanta Plus

Other:
[ ] VMware Server
[x] TrueType fonts
[x] Java
[x] Read/Write support for NTFS partitions

Share this page:

45 Comment(s)

Add comment

Comments

From: Anonymous at: 2008-11-05 13:00:46

Would you be confused to find realplayer, quicktime and windows media player on a windows system, too? Let alone WinAmp and Media Player Classic, VLC? Or does it confuse you, that you get them all for free and have to take a look which one suits you best? If so, I recommend you not to go out and buy a car...and just take the one from the advertisement, the one where people seemd to be happy with.

From: agus at: 2008-11-05 11:50:23

I thing I have to try this one :)

From: dai at: 2008-11-05 15:36:55

I did!!!

But my sound system is down now. I will have to figure it out.

Love oo-bun-too!

From: Anonymous at: 2008-11-24 16:16:57

To fix, open a terminal, enter sudo alsamixer. Navigate to external amplifier with the horizontal arrow keys. Press M on your keyboard to mute.

From: TV Guide at: 2008-11-05 12:41:02

Same reason 3 browsers isn't enough for everyone (coz they can).

From: Matey at: 2008-12-04 12:36:14

Hi:

Does anyone know how to switch between 2 languages ( and without having to reboot every time)?
I did it the other day, and I actually could use the 2nd language without having to reboot the system as I was asked to.

I did finally reboot but now I cannot find the option or the place I used before?(It even had an icon in the systray where you could switch)...

Oh and when I change my keyboard layouts now, the stuff in command line changes but not in my GUI>? (like gedit does not change and stays in English)!


I am new so it may be still here on my desktop but cannot find it?

I AM Using Ubuntu 8.04 Hardy and Xdm GUI

From: Anonymous at: 2008-11-05 13:38:17

What do you mean, "like" 5 audio players? Idiot. It's called choice. Use what you like, don't use the others.

From: Anonymous at: 2008-11-05 14:49:45

I upgraded from 8.04 to 8.10.  adobe flash 10 addon for firefox 3 was working in 8.04.  In 8.10 the audio doesn't work for flash 10.  Pulseaudio makes no sound when i click the test button.  autodetect sound doesn't work. Tried different sound settings and Tried different internet searched solutions to no avail.  Unfortunately, the internet has lots of flash media content.  My experience has been sound is flaky in ubuntu 8.10, for my upgraded pc.  I'm considering wiping 8.10 off my pc and loading 8.04 back onto it.  I should have used the live cd version of 8.10 to make sure it behaved ok on my PC.

 

 

From: lordnino at: 2008-11-22 19:53:29

yes we got the same problem. i can use sound on my desktop players at any file types but through internet i got no sound!!!! i hope somebody will help!!!

From: Anonymous at: 2008-12-25 10:56:56

I had huge problems with Pulse for ages but then eventually I worked out that it refused to comply with the Ubuntu directive to find SBLIve even though it was set as a the default sound card.  I disabled the onboard AC97 (Via) and Pulse works like a charm.  I'm not saying it's a solution to your problem but it's just how I eventually sorted it out.

From: Anonymous at: 2009-01-20 02:01:10

You should have gone to ubuntu forums, the problem your having is a libcanberra bug theres a fix for it, I havnt had any problems with intrepid since i fixed it, you can also go to launchpad where they explain how to obtain this bugfix.

From: Streetdaddy at: 2008-11-06 01:20:50

With a little extra setup, the default text editor for Gnome (gedit) is a fantastic for light weight code cutting whilst still having all the useful bits like syntax highlighting...  Definitely my choice over those you've mentioned above.

  • VERY STABLE! You won't lose your work due to a crash!
  • Syntax highlighting for PHP, HTML, CSS, Javascript, and just about any other language you'll use as a web developer.
  • Line numbers.
  • Right margin guide.
  • Auto Indentation
  • Indent/Unindent selected block of code
  • Spaces or tabs with cusomizable tab width and optional modeline support.
  • more...  : http://www.micahcarrick.com/09-29-2007/gedit-html-editor.html
I've used many bloated and lightweight editors for LAMP development on different platforms over the years, and I find gedit the most productive for me by far.

From: Anonymous at: 2008-11-06 03:37:49

The base ubuntu install doesn't - It only comes with Rhythmbox.

From: Anonymous at: 2008-11-05 02:44:47

why does it come with like 5 audio players?

 confusing pile of shit

From: Anonymous at: 2008-11-06 21:57:23

Don't use XMMS. its deprecated

Audacious is  a better Winamp replacement with gtk2

From: Anonymous at: 2008-11-08 10:19:32

its actually installing xmms2 in this tutorial, but id rather compile xmms as its still the best winamp clone, at least until i can get another audio player that can use an EQ properly.. every other player just gives flat horrible sound (im on a laptop, speakers are decent with a decent EQ).  Audacious would be nice if the EQ worked properly, as when i switch it on i get a "fuzzyness". Only xmms1 gives me nice results, and can import my winamp presets too..

 

From: Anonymous at: 2008-11-13 18:09:35

Does this HowTo work to Ubuntu 8.10 AMD64 ???

From: dekaru at: 2008-12-25 07:42:15

Perfection is achieved, not when there is nothing more to add, but when there is nothing left to take away. --Antoine de Saint-Exupery

From: linux user at: 2009-04-09 08:17:09

robo, i use nothing but linux. on everything. i have 4 laptops running linux as well as a raid 5 file server. the only thing i use windows for is my work pc and that's because my co-workers don't like it when i install an o/s they can't use full-fledgedly. you must be one of my co-workers...

From: Tacticus at: 2008-11-10 01:40:12

amazing that you ignore companies like canonical and Red Hat who develop these apps (amongst others) and the incrediably huge number of people who develop for it as a past time outside of their normal profession

Go ahead don't trust it if you wish the rest of the world already does

It already runs servers(it owns the internet market), it runs desktops around the world (and has for many years) if you choose to ignore it because of your own ignorance or bigotry go ahead and fall behind.

This is 10.8 Billion dollars worth of work http://linux-foundation.org/weblogs/press/2008/10/21/linux-foundation-publishes-study-estimating-the-value-of-linux/

From: Serguei Fedorov at: 2008-11-05 15:10:59

Many people misinterpret Linux as being an operating system, where in reality it is only a base of an operating system. The the Linux kernel, the base, is one of the most powerful kernels available today. It is able to utilize the hardware in such a way that Windows will never be able to. I think, that if the right people, and companies kick into the making of an extremely good, easy to use operating system (Ubuntu for instance), I think it would make a great replacement for Windows.

 Anyways, here is a link to some good terms to know before switching to Ubuntu (Or any other linux distro)

From: Matthías at: 2008-11-05 15:19:56

Well, I think people making software for Linux put more ambition into their work rather than a guy working at Microsoft struggling with some timeline. And you talk about amateurs as a bad thing. You got to start somewhere right ? and the Linux community is great for that!

From: Robo Hubinák at: 2008-11-05 11:25:02

Linux is not and will never be a replacement for a Windows desktop (maybe for Windows 3.1), because of it's philosophy. GNU means that amateurs with no salary creates software for everybody = that sounds like charity.Personally, I wouldn't trust anything that comes for free from these guys.

From: Earthman at: 2008-12-04 05:54:45

Now I believe. Aliens really exists.

If not a alien, perhaps a bugish Robo(t) assembled by M$.

Mr(?) Robo(t):

I know you can access forums, read and write, but can you understand the Human being?

Maybe you need the "charity" of "these guys" to get a brain!

Earthman

Stardate  2454805,357

From: Anonymous at: 2009-01-02 07:10:09

dude i really never respond to peoples comments,  but maybe u just dont know what free means when it comes to open sources products.  obviously you, me and many others dont have all the skills and knowledge yet to completly take advantage of a system that can be tweaked however you want.  I dont know, can Windows Xp and Vista  do what gnu/linux do?

From: deandownsouth at: 2009-01-21 20:12:45

A little bit of education for you...

Actually, that is NOT true. Open Source companies have PAID developers that develop much of the code. And, at least for Red Hat, ALL of their developers sit in the Open Source side and all development code is released back into the Open Source world (some amazing up-and-coming stuff like oVirt and IPA are two great examples). Novell, Canonical are similar with both of these companies vying for the desktop big time-especially the corporate desktop.

Ubuntu has made the desktop extremely easy, so much so that even though I support and work with RHEL all day, I switched over to Ubuntu for my main desktop (from RHEL 5.2) since once I get my desktop dialed in and the way *I* like it (that's an important concept that Windows users don't get) I don't like to mess with it since I need to be productive on it (as opposed to playing around with stuff), so point and click and a fast install/configuration became important to me at that point.

Novell's work (using PAID developers)  on Mono (the Open Source .Net thing) is also great, and that gets pushed back into the community.

 Now it is a common misconception that Open Source equals free, as in beer. No, it is free as in speech. While it is true that you can download the sources and put together your own enterprise version of Red Hat Linux (got to take out the trademarked items though), for example, you can't however, download (for free) Red Hat Enterprise Linux. Same is true for Novell Suse. These are commercial Open Source distributions that come with, everyone say it together ***support***. The free (as in beer) versions of these phenomenal Operating Environments are Fedora and OpenSuse respectively. Major Fortune 500/100/50/etc companies run mission critical applications on these commercial distributions. That's what I do for a living (in addition to regular Unix [HP-UX and AIX]).

Some companies like CentOS, download the sources (RHEL in this case) and create an identical binary compatible and do give that away for free (as in beer) and accept donations to help cover the cost. Many companies use RHEL in production and CentOS for development environments.

So while it is true that there are those (and it is a great number) who submit code who are hobbyists, retired programmers, or teenagers hacking away in their parents' basements, you diminish the truly great work that professional programmers do by reducing it to just a bunch of  amateurs sharing code.

From: mindseye at: 2009-04-26 17:32:16

Actually, I get that result after running your xapian line.  Maybe there's something else that's left out?  also, mozilla-acroread isn't a valid package in intrepid.  Been running into this all over.

 

From: wings at: 2009-04-08 14:54:14

this is the only output that i am getting with the manual install.

wings@wings-laptop:~$ sudo apt-get install amarok flashplugin-nonfree amule audacity azureus banshee bluefish dvdrip filezilla msttcorefonts gnucash gstreamer* gtkpod-aac sun-java6-bin sun-java6-javadb sun-java6-jdk sun-java6-jre sun-java6-plugin k3b kino mplayer mozilla-mplayer quanta kompozer scribus xchat-gnome bittornado bittornado-gui sound-juicer helix-player mozilla-helix-player googleearth acroread mozilla-acroread non-free-codecs ubuntu-restricted-extras libdvdcss2 opera xine-ui xine-plugin xmms2 xmms2tray xmms2-plugin-airplay xmms2-plugin-alsa xmms2-plugin-ao xmms2-plugin-asf xmms2-plugin-asx xmms2-plugin-avcodec xmms2-plugin-cdda xmms2-plugin-cue xmms2-plugin-curl xmms2-plugin-daap xmms2-plugin-faad xmms2-plugin-flac xmms2-plugin-gme xmms2-plugin-gvfs xmms2-plugin-ices xmms2-plugin-icymetaint xmms2-plugin-id3v2 xmms2-plugin-jack xmms2-plugin-karaoke xmms2-plugin-lastfm xmms2-plugin-m3u xmms2-plugin-mad xmms2-plugin-mms xmms2-plugin-modplug xmms2-plugin-mp4 xmms2-plugin-musepack xmms2-plugin-normalize xmms2-plugin-ofa xmms2-plugin-oss xmms2-plugin-pls xmms2-plugin-pulse xmms2-plugin-rss xmms2-plugin-sid xmms2-plugin-smb xmms2-plugin-speex xmms2-plugin-vocoder xmms2-plugin-vorbis xmms2-plugin-wma xmms2-plugin-xml xmms2-plugin-xspf vlc vlc-data vlc-dbg vlc-nox vlc-plugin-arts vlc-plugin-esd vlc-plugin-ggi vlc-plugin-jack vlc-plugin-pulse vlc-plugin-sdl vlc-plugin-svgalib thunderbird skype
Reading package lists... Done
Building dependency tree      
Reading state information... Done
flashplugin-nonfree is already the newest version.
bluefish is already the newest version.
Note, selecting gstreamer0.10-ffmpeg-full for regex 'gstreamer*'
Note, selecting gstreamer0.10-alsa for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-bad-dbg for regex 'gstreamer*'
Note, selecting gstreamer0.10-audiosink for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-bad-doc for regex 'gstreamer*'
Note, selecting gstreamer-tools for regex 'gstreamer*'
Note, selecting gstreamer0.10-x for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-base-dbg for regex 'gstreamer*'
Note, selecting gstreamer0.10-fluendo-mpegdemux for regex 'gstreamer*'
Note, selecting bluez-gstreamer for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-base-doc for regex 'gstreamer*'
Note, selecting libgstreamer0.10-0 for regex 'gstreamer*'
Note, selecting gstreamer0.10-packagekit for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-ugly for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-ugly-multiverse for regex 'gstreamer*'
Note, selecting libgstreamer0.10-ruby for regex 'gstreamer*'
Note, selecting libgstreamer-plugins-base0.10-dev for regex 'gstreamer*'
Note, selecting gstreamer-dbus-media-service for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-bad-multiverse for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-really-bad for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-good for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins for regex 'gstreamer*'
Note, selecting gstreamer0.10-audiosource for regex 'gstreamer*'
Note, selecting ultrastar-ng-gstreamer for regex 'gstreamer*'
Note, selecting gstreamer0.10-ffmpeg for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-farsight for regex 'gstreamer*'
Note, selecting libghc6-gstreamer-dev for regex 'gstreamer*'
Note, selecting gstreamer0.10-pitfdll for regex 'gstreamer*'
Note, selecting gstreamer0.10-videosink for regex 'gstreamer*'
Note, selecting kaffeine-gstreamer for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-ugly-dbg for regex 'gstreamer*'
Note, selecting gstreamer0.10-lame for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-ugly-multiverse instead of gstreamer0.10-lame
Note, selecting gstreamer0.10-plugins-good-dbg for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-ugly-doc for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-good-doc for regex 'gstreamer*'
Note, selecting gstreamer0.10-pulseaudio for regex 'gstreamer*'
Note, selecting gstreamer0.10-visualization for regex 'gstreamer*'
Note, selecting gstreamer0.10-fluendo-plugins-wmv-doc for regex 'gstreamer*'
Note, selecting phonon-backend-gstreamer for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-bad-multiverse-dbg for regex 'gstreamer*'
Note, selecting totem-gstreamer for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-bad for regex 'gstreamer*'
Note, selecting gstreamer0.10-doc for regex 'gstreamer*'
Note, selecting gstreamer0.10-fluendo-mp3 for regex 'gstreamer*'
Note, selecting gstreamer0.10-esd for regex 'gstreamer*'
Note, selecting gstreamer0.10-fluendo-plugins-doc for regex 'gstreamer*'
Note, selecting gstreamer0.8-tools for regex 'gstreamer*'
Note, selecting libgstreamer0.10-ruby1.8 for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-base-apps for regex 'gstreamer*'
Note, selecting gstreamer-codec-install for regex 'gstreamer*'
Note, selecting gstreamer0.10-fluendo-mpegmux for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-ugly-multiverse-dbg for regex 'gstreamer*'
Note, selecting libgstreamer-perl for regex 'gstreamer*'
Note, selecting libgstreamer0.10-dev for regex 'gstreamer*'
Note, selecting gstreamer0.10-sdl for regex 'gstreamer*'
Note, selecting gstreamer0.10-gnomevfs for regex 'gstreamer*'
Note, selecting gstreamer0.10-plugins-base for regex 'gstreamer*'
Note, selecting gstreamer0.10-videosource for regex 'gstreamer*'
Note, selecting libgstreamer-plugins-base0.10-0 for regex 'gstreamer*'
Note, selecting gstreamer0.10-gnonlin for regex 'gstreamer*'
Note, selecting gstreamer0.10-tools for regex 'gstreamer*'
Note, selecting gstreamer0.10-schroedinger for regex 'gstreamer*'
Note, selecting gstreamer0.10-gnonlin-dev for regex 'gstreamer*'
Note, selecting libgstreamer0.10-0-dbg for regex 'gstreamer*'
Note, selecting deejayd-gstreamer for regex 'gstreamer*'
sun-java6-bin is already the newest version.
sun-java6-jre is already the newest version.
sun-java6-jre set to manually installed.
sun-java6-plugin is already the newest version.
acroread is already the newest version.
Package opera is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package opera has no installation candidate

thank you for your time

From: Jim Lafflam at: 2009-02-14 23:21:58

The reader can read Bug #288797 for more information and status of the bug which prevents Synaptic's quick search from displaying packages from third-party repositories until running

sudo update-apt-xapian-index

From: JustCallMeBob at: 2009-04-07 10:47:34

Even i could follow this guide from start to finish!! Only one snag when trying to install everything at once, but got through it all in the end. THANKS!!

From: at: 2008-11-03 23:53:55

Everything is a matter of choice.It's better to know about more applications then less.You can choose what You need and eventually leave the rest behind.

I like VMWare more although version 2 still seems a little buggy.

From: Vytah at: 2008-11-05 10:23:33

 Seriously, VLC and Totem are way behind SMPlayer when it goes to subtitle support. And using plain MPlayer is simply to hard to learn.

I use SMPlayer for about a year and don't even try to switch back to Totem or VLC. I had spent long hours to make subtitles work properly and achieved no effect. Totem kept skipping some subtitles, while VLC simply either refused to load the subtitles or had problems with codecs. SMPlayer work out-of-the-box and even supports ASS subtitle format. It allows me to dynamically change subtitle size and choose text encoding. It simply works.

From: Peter wattst at: 2008-11-03 05:09:31

I was just wondering what the reason is behind loading so many of the same type programs. e.g torrents and music video players. It appears to me that there is a bit of overkill.
 
Apart from my confusion I enjoy reading all these type entries to make make the best of something. 

From: Keijo Knutas at: 2008-11-26 16:18:22

Thank you a lot for these pages. It made an installation of a working Ubuntu environment easy and fast.

Naturally everyone have their own additional favorities or dislikes, but a result of these advices helps with a beginner to start with Linux/ Ubuntu. 

Great Work - Thank you and let me be the first to say Merry Christimas and Happy New Year!!!

From: Ne Wyearin at: 2008-12-15 12:40:43

That is going to be in help. Thanks for mention it.

I wish you Merry Christmas and Happy New year!

Ne Wyearin
newyearin.com

From: Andy at: 2008-11-03 17:35:00

why bittornado? transmission is installed by default. also, i'd choose virtualbox over vmware.

From: Aronzak at: 2008-11-04 23:09:44

I understand that Vmware is a better supported product, but expecting new users to go through all of that process is a waste of time. Both Virtualbox and QEMU are open source alternatives that are far easier to install, with .debs available in the main repository, rather than having to sign up to a company, accept a licence agreement, and then download and run an installer. I've heard stories of people who tried and failed to install Vmware, and were annoyed that they didn't go to virtualbox first. Also, why fo you want to install acrobat reader? Evince or kpdf should be fine. I've never had a single problem. Why replace working native software with slower proprietary alternatives?

From: sims at: 2008-11-05 00:28:41

I've been using Ubuntu since it's birth. However, this time they didn't get it right. It's slower than the previous release 8.04. I don't know why. It's not as responsive and takes longer to start up and start applications.

From: Jim Aylesworth at: 2008-11-04 20:49:12

Thanks for the great article!

I always make sure to check out the latest, and this was no exception.

I did however, want to inform you of a quick typo that might throw some less apt (pun intended) people for a loop when pasting that large chunk of apt-get install code into a terminal.

xmms2-pluginasx  should be xmms2-plugin-asx

Missing that ever important "-" will throw an error:
E: Couldn't find package xmms2-pluginasx

 Other than that, wonderful work and thanks again. I'll try to post a link to the vm from my listed homepage shortly for those interested (it's close to finals week, so I can't promise immediatly :)

From: Resches at: 2008-11-05 17:31:31

I will have to agree with the majority of people here that installing all these programs to do the same task seems redundant. Who uses more than one torrent client?

From: Jay at: 2008-11-12 04:07:53

Hey thanks a million, I have been using computers for about 8 years now, don't laugh it ain't funny, my mom still don't know what the internet is... so I hooked my bro up with a rig and I thought what a good way to bond, he's never had a computer and I would like to switch to linux. So, we are both into Ubuntu now and I don't know who will have the tougher time adjusting my bro who just found out what a mouse was or me a student whos gotten free MS crap for the last 5 years? Probably him, anyway this made the transition painless for both of us now I can get on with the mundane things I need a computer for...except in Ubuntu... so much for bonding huh...Peace and thanks!!!

From: Anonymous at: 2008-11-05 02:19:16

why do you need 4 all-purpose media players to make a perfect desktop? Mplayer can do it all. And why two bittorent clients? The list of bloat goes on and on.

 One app per task.

KISS.

From: Anonymous at: 2008-12-17 19:35:50

Why not Virtualbox? It's OS - Vmware isn't.

From: Cywiro at: 2009-01-29 04:11:24

See page 2 of this guide - "NTFS read/write support is enabled by default on Ubuntu 8.10".

From: Anonymous at: 2009-01-26 21:28:56

Great guide. For those who complain about all the extra blotware such as the extra bittorrent clients or more than three mp3 players, read the beginning statement in page 1. probably you guys skipped that part because we all have ubuntu already installed, or some other distro. My question is tho, which package is the one that writes/reads NTFS partitions? other than that, i think this guide is really good, at least for me (Im a newb for Linux) so far im loving it. a little complicated sometimes. MS Windows is gone for most of my use now, thank you. Great guide